#include <bits/stdc++.h>
#define ll long long
using namespace std;

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    int n,k,x,p=0;
    ll niz[1005];

    cin >> n >> k >> x;

    if (k>n)
    {
        cout << -1;
        return 0;
    }
    if (n==1 && k==0)
    {
        cout << 1;
        return 0;
    }
    else if (n==1 && k>0)
    {
        cout << -1;
        return 0;
    }
    if (k==3)
    {
        //if (n%2==0)
       // {
            for (int i=1;i<=n;i+=2)
            {
                if (i==5)
                {
                    niz[i]=x+1+p;
                    niz[i+1]=x+1+p;
                }
                else
                {
                    niz[i]=2*x+p;
                    niz[i+1]=x+p;
                    p++;
                }
            }
            //for (int i=1;i<=n;i++) cout << niz[i];
       // }
        /*else
        {
           for (int i=1;i<=n-1;i+=2)
            {
                if (i==5)
                {
                    niz[i]=
                    niz[i+1]=
                }
                else
                {
                    niz[i]=2*x;
                    niz[i+1]=x;
                }
            }*/
            if (n%2==1 && n==3) niz[n]=0;
            else if (n%2==1) niz[n]=x+p;
            for (int i=1;i<=n;i++) cout << niz[i] << " ";
        //}
    }

    return 0;
}